#!/bin/sh
#
# /etc/rc.d/psybnc: start/stop psybnc daemon
#

PSYBNC_USER=psybnc

case $1 in
start)
	cd /var/run/
	su - $PSYBNC_USER -c "psybnc /etc/psybnc/psybnc.conf"
	;;
stop)
	kill -KILL `cat /var/run/psybnc.pid`
	;;
restart)
	$0 stop
	sleep 2
	$0 start
	;;
*)
	echo "usage: $0 [start|stop|restart]"
	;;
esac

# End of file
